<?php

if (!defined('SMF'))
	die('Hacking attempt...');

function imdb_bbc_add_code(&$codes)
{
	global $txt;

	loadLanguage('IMDbBBC');

	$codes[] = array(
	    'tag' => 'imdb',
		'type' => 'unparsed_content',
		'content' => $txt['imdb'] . ': <a href="http://www.imdb.com/find?s=all&q=$1" class="bbc_link" target="_blank">$1</a>',
		'disallow_children' => array('email', 'ftp', 'url', 'iurl'),
		'disabled_after' => ' ($1)',
	);
	$codes[] = array(
		'tag' => 'imdb',
		'type' => 'unparsed_equals',
	    'before' => $txt['imdb'] . ': <a href="http://www.imdb.com/find?s=all&q=$1" target="_blank">',
        'after' => '</a>',
		'validate' => '$data = urlencode($data);',
        'disallow_children' => array('email', 'ftp', 'url', 'iurl'),
        'disabled_after' => ' ($1)',
	);
}

function imdb_bbc_add_button(&$buttons)
{
	global $txt;

	loadLanguage('IMDbBBC');
	

	$temp[] = array(
		'image' => 'imdb',
		'code' => 'imdb',
		'before' => '[imdb]',
		'after' => '[/imdb]',
		'description' => $txt['imdb_desc'],
	);
	array_splice($buttons[0], 4, 0, $temp );
	unset ($temp);
	
}
?>